using System.Xml.Serialization;

namespace Domain.XML_Model
{
    [Serializable]
    [XmlRoot(ElementName = "accessoires")]
    public class Accessoire : BaseEntity
    {

        [XmlAttribute(AttributeName = "id")]
        public string Id { get; set; }

        [XmlAttribute(AttributeName = "nom")]
        public string? Nom { get; set; }

        [XmlAttribute(AttributeName = "modif_poids")]
        public string? ModifPoids { get; set; }

        [XmlAttribute(AttributeName = "prix")]
        public int Prix { get; set; }

        [XmlAttribute(AttributeName = "disponibilité")]
        public string? Disponibilité { get; set; }

        [XmlAttribute(AttributeName = "effet")]
        public string? Effet { get; set; }

        [XmlAttribute(AttributeName = "description")]
        public string? Description { get; set; }
        [XmlIgnore] public int AccessoireId { get; set; }
    }


}
